// 周界报警
export const perimeterTableOptions = [
  {
    index: '',
    prop: 'number',
    label: '序号',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmTime',
    label: '报警时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmSection',
    label: '报警段',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'distance',
    label: '端点距离',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 火灾报警
export const fireTableOptions = [
  {
    index: '',
    prop: 'number',
    label: '序号',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmTime',
    label: '报警时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmSection',
    label: '报警回路',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmStatus',
    label: '报警状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'earlyWarningValue',
    label: '预警值',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmValue',
    label: '报警值',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 气体泄漏报警
export const gasTableOptions = [
  {
    index: '',
    prop: 'number',
    label: '序号',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmTime',
    label: '报警时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'concentration',
    label: '气体浓度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'lightIntensity',
    label: '光强度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'horizontalAngle',
    label: '水平角度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'verticalAngle',
    label: '垂直角度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'earlyWarningValue',
    label: '预警值',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmValue',
    label: '报警值',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 门禁报警
export const doorTableOptions = [
  {
    index: '',
    prop: 'number',
    label: '序号',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmTime',
    label: '报警时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmType',
    label: '报警类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'alarmPerson',
    label: '报警人员',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

  // 所有报警
export const allTableOptions = [
  {
    index: '',
    prop: 'eventTime',
    label: '报警时间',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'categoryStr',
    label: '报警类型',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'typeStr',
    label: '二级类型',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'content',
    label: '报警内容',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'dealStatusStr',
    label: '状态',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'dealPersonName',
    label: '处理人',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'dealTime',
    label: '处理时间',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
