// 电子围栏
export const railTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'floorStr',
    label: '楼层',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'railName',
    label: '围栏名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'enableLogStr',
    label: '进出记录',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 空间区域
export const areaTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'areaName',
    label: '区域名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'riskLevelStr',
    label: '区域风险等级',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'enableLogStr',
    label: '进出记录',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 信标查询
export const iBeaconTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'floorStr',
    label: '楼层',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'deviceId',
    label: '设备ID',
    width: '420',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mac',
    label: 'MAC',
    width: '150',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'major',
    label: 'Major',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'minor',
    label: 'Minor',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'battery',
    label: '电量',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
]
// 标签管理
export const labelTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mac',
    label: 'MAC',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'rfid',
    label: 'RFID',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'workStatusStr',
    label: '工作状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'batteryStr',
    label: '电量',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'positioningOnlineStr',
    label: '定位状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'commOnlineStr',
    label: '通讯状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'bindingPersonName',
    label: '绑定人员',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 进出记录管理
export const railAreaInOutLogTableOptions = [
  {
    index: '',
    prop: 'personName',
    label: '姓名',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'personType',
    label: '人员类型',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'department',
    label: '部门',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'position',
    label: '职位',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'railAreaName',
    label: '围栏区域名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'inTime',
    label: '进入时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'outTime',
    label: '离开时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'staySecondsStr',
    label: '停留时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]

// 统计区域管理
export const countAreaTableOptions = [
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '',
    align: 'left',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'sort',
    label: '排序',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
      index: '',
      prop: 'pAreaStr',
      label: '绑定区域',
      width: '',
      align: 'center',
      fixed: false,
      sortable: false
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 建筑物
export const houseTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'code',
    label: '建筑物编号',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '建筑物名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'baseCreateTime',
    label: '创建日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  }
]
// 空间区域
export const alarmModelTableOptions = [
  {
    index: '',
    prop: 'buildName',
    label: '建筑名称',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'modelName',
    label: '报警模板名称',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'modelContent',
    label: '模板内容',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'remark',
    label: '备注',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  }
]