export const visualIntercomLogTableOptions = [
  {
    index: '',
    prop: 'visualIntercomName',
    label: '可视对讲名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'majorTypeStr',
    label: '主要类型',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'minorTypeStr',
    label: '次要类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'personName',
    label: '人员姓名',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'content',
    label: '事件内容',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'eventTime',
    label: '事件时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
]
export const visualIntercomConfigTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'buildName',
    label: '建筑',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'floorNo',
    label: '楼层',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'sn',
    label: '序列号',
    width: '200',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'mac',
    label: 'MAC地址',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'ip',
    label: 'ip地址',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'enableStr',
    label: '启用',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
]

//巡检任务
export const patrolTaskTableOptions = [
  {
    index: '',
    prop: 'robot',
    label: '机器人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'map',
    label: '地图',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'scene',
    label: '场景名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'type',
    label: '任务类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'title',
    label: '任务名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'priority',
    label: '优先级',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'finalJob',
    label: '完成后指令',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'state',
    label: '任务状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'progress',
    label: '任务进度',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'scheduleTime',
    label: '计划开始时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
]

//巡检记录
export const patrolRecordTableOptions = [
  {
    index: '',
    prop: 'robot',
    label: '机器人',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'task',
    label: '任务名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'scene',
    label: '场景名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'area',
    label: '区域名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'naviSequence',
    label: '导航点编号',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'indicatorName',
    label: '指标名称',
    width: '100',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'patrolTime',
    label: '巡检时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'recognizeTime',
    label: '识别时间',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'recognizeState',
    label: '识别状态',
    width: '',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'value',
    label: '监测值',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },
  {
    index: '',
    prop: 'detail',
    label: '监测值明细',
    width: '120',
    align: 'center',
    fixed: false,
    sortable: false
  },

]