// 巡检标签
export const patrolLabelTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '标签编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '标签名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'location',
  //   label: '所属位置',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'description',
    label: '描述',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检标签批量处理
export const patrolLabelBatchTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'floorNo',
    label: '楼层',
    width: '50',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '标签名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'status',
    label: '状态',
    width: '60',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检对象
export const patrolObjectTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentName',
    label: '所属部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'areaName',
    label: '所属区域',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'inputTime',
    label: '投用日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'stopState',
    label: '停用状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'repairState',
    label: '维修状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'safeDevice',
  //   label: '安全装置',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'dangerOrigin',
  //   label: '重大危险源',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // }
]

// 巡检项目清单
export const patrolItemTableOptions = [
  // {
  //   index: '',
  //   prop: 'index',
  //   label: '编号',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  // {
  //   index: '',
  //   prop: 'objectName',
  //   label: '检查项目类型',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'content',
    label: '检查项目',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'standard',
    label: '检查标准',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检数据类型
export const patrolDataTypeOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '数据名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'content',
    label: '选项/单位',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'dataType',
    label: '类型',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'bz',
    label: '备注',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检点
export const checkPointTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '巡检点编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '巡检点名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'labelName',
    label: '关联标签',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentName',
    label: '责任部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'areaName',
    label: '所属区域',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检计划
export const patrolPlanTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '巡检计划编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '巡检计划名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'departmentName',
    label: '责任部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'checkpointCount',
    label: '巡检点数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'cycleDescription',
    label: '巡检周期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'enableStr',
    label: '启用状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检任务
export const patrolTaskTableOptions = [
  {
    index: '',
    prop: 'planId',
    label: '任务编号',
    width: '180',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'planName',
    label: '任务名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'patrolPersonName',
    label: '巡检人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'planStartTime',
    label: '计划任务开始时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'actualStartTime',
    label: '检查时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'statusStr',
    label: '任务状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检记录
export const patrolRecordTableOptions = [
  // {
  //   index: '',
  //   prop: 'code',
  //   label: '巡检记录编号',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'planName',
    label: '巡检计划名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'department',
  //   label: '责任部门',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'actualEndTime',
    label: '检查完成时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'planStartTime',
    label: '任务时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'patrolPersonName',
    label: '巡检人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'timeCost',
    label: '巡检用时',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'statusStr',
    label: '任务状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'exceptionHandleStatusStr',
    label: '异常处理状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检记录详情
export const patrolRecordDetailsTableOptions = [
  // {
  //   index: '',
  //   prop: 'code',
  //   label: '巡检记录编号',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'planName',
    label: '巡检计划名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  // {
  //   index: '',
  //   prop: 'department',
  //   label: '责任部门',
  //   width: '160',
  //   align: 'center',
  //   fixed: false,
  //   sortable: false
  // },
  {
    index: '',
    prop: 'actualEndTime',
    label: '检查完成时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'planStartTime',
    label: '任务时间',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'patrolPersonName',
    label: '巡检人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'timeCost',
    label: '巡检用时',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'statusStr',
    label: '检查结果',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'exceptionHandleStatusStr',
    label: '异常处理',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检统计按路线
export const patrolStatisticsByPathTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '检查计划名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '责任部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '任务数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '完成任务',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '漏检点位数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '未到位点位数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '异常隐患数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '整改完成',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 巡检统计按人员
export const patrolStatisticsByPersonTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '序号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '检查人员',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '所属部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '任务数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '完成任务',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '漏检点位数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '未到位点位数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '异常隐患数量',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]

// 设备管理
export const deviceManageTableOptions = [
  {
    index: '',
    prop: 'code',
    label: '编号',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'name',
    label: '名称',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '所属部门',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '投用日期',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '停用状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '维修状态',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '安全装置',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
  {
    index: '',
    prop: 'department',
    label: '重大危险源',
    width: '160',
    align: 'center',
    fixed: false,
    sortable: false,
  },
]
